using my_error_code = int;

const char* error_message(my_error_code error)
{
  switch (error)
  {
    case 1:
      return R"(This is a
        valid raw string literal
        which is allowed to contain new-lines
      )";
    case 2:
      return u8R"("String literals
        can have encoding prefixes too.
        Like "UTF-8"
      ")";
    case 3:
      return R"(
        Raw string literals are also allowed to contain quotation marks: "
        They're not terminated by just that, as they require a preceding closing brace!
      )";
  }
}
